import mysql.connector
import Adafruit_DHT #Adafruit Bibliothek für den Zugriff auf den DHT Sensor
 
#Aufbau einer Verbindung
db = mysql.connector.connect(
  host="localhost", # Servername
  user="pydbuser", # Benutzername
  password="pydbpw", # Passwort
  database="sensorTestDb"
)
# Ausgabe des Hashwertes des initialisierten Objektes
print(db)

sensor = Adafruit_DHT.DHT11 

#Der Sensor ist am GPIO Pin 4 angeschlossen
pin = 4 

#Variablen deklarieren und gleichzeitig die Werte vom Sensor empfangen.
humidity, temperature = Adafruit_DHT.read_retry(sensor, pin) 

#Wenn die Werte erfolgreich gelesen werden konnten dann...
if humidity is not None and temperature is not None: 
	#formatierte Ausgabe der Werte auf der Kommandozeile
	print('Temperatur={0:0.1f}*C Luftfeuchtigkeit={1:0.1f}%'.format(temperature, humidity)) 
	sqlStatement = "INSERT INTO `sensorvalues` (`ID`, `zeitstempel`, `temperatur`, `luftfeuchtigkeit`) VALUES (NULL, CURRENT_TIME(), {temp:000.2f}, {hum:000.2f});"
	cursor = db.cursor()
	cursor.execute(sqlStatement.format(temp = temperature, hum = humidity))
	cursor.execute("COMMIT;")
else: #ansonsten
    #Ausgabe einer Fehlermeldung auf der Kommandozeile
	print('Fehler beim empfangen der Daten.')


cursor = db.cursor()
cursor.execute("SELECT * FROM sensorvalues;")
for row in cursor:
  print(row)
